com.amazonaws.codegen.emitters

## Class CodeEmitter

- java.lang.Object
- - com.amazonaws.codegen.emitters.CodeEmitter

All Implemented Interfaces:
  AutoCloseable

    public class CodeEmitter
    extends Object
    implements AutoCloseable

Submits generator tasks to executor.

### Constructor Summary

Constructors
Constructor and Description
`CodeEmitter(Iterable<GeneratorTask> generatorTasks, GeneratorTaskExecutor taskExecutor)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `emit()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CodeEmitter

    public CodeEmitter(Iterable<GeneratorTask> generatorTasks,
                       GeneratorTaskExecutor taskExecutor)

Parameters:
  `generatorTasks` - Provides tasks to execute.
  `taskExecutor` - Executes tasks.

### Method Detail

#### emit

    public void emit()

#### close

    public void close()
               throws Exception

Specified by:
  `close` in interface `AutoCloseable`
Throws:
  `Exception`